﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Buddy.Swtor;
using Buddy.Swtor.Objects;
using Buddy.BehaviorTree;

namespace SwtorNoobRage
{
    public abstract class Healer
    {
        protected static Buddy.Swtor.Objects.TorPlayer Me { get { return BuddyTor.Me; } }
        public abstract Composite SelfCheck { get; }
        public abstract Composite TankCheck { get; }
        public abstract Composite Cleansing { get; }
        public abstract Composite CleansingUrgent { get; }
        public abstract Composite DPS { get; }
        public abstract Composite Healing { get; }
        public abstract Composite Buff { get; }
        public abstract Composite Resurrect { get; }
    }
}