﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Windows;

using Buddy.BehaviorTree;
using Buddy.Common;
using Buddy.CommonBot;
using Buddy.Swtor;
using Buddy.Swtor.Objects;

using Action = Buddy.BehaviorTree.Action;

namespace SwtorNoobRage
{
    class NRhealer : CombatRoutine
    {
        public override sealed string Name { get { return "NoobRage - Healer (by Ama)"; } }
        private static Buddy.Swtor.Objects.TorPlayer Me { get { return BuddyTor.Me; } }
        public override CharacterClass Class { get { return Me.Class; } }
        public static TorCharacter tank;
        public static TorCharacter HealTarget;
        public static bool Stop_SET = false;
        private static Cast Cast = new Cast();

        private static Healer healerBase;

        public Healer ActiveHealer
        {
            get
            {
                if (healerBase == null)
                {
                    if (Class == CharacterClass.Sorcerer)
                        healerBase = new Sorcerer();
                    else
                        healerBase = new Sorcerer();
                    
                }
                return healerBase;
            }
        }

        public override Composite Combat
        {
            get 
            {
                return new PrioritySelector(Helpers.Wait,
                                            ActiveHealer.SelfCheck,
                                            ActiveHealer.TankCheck,
                                            ActiveHealer.Healing,
                                            ActiveHealer.DPS
                );
            }
        }



        #region Overridden Methods
        public override void Dispose()
        {
        }
        public override Window ConfigWindow { get { return null; } }

        public override Composite OutOfCombat
        {
            get
            {
                return Combat;
            } 
        }
        public override Composite Pull
        {
            get
            {
                return Combat;
            } 
        }
        public override void Initialize()
        {
        }
        #endregion
    }
}
